Loading...
Searching...
No Matches
domain_indirect_basic< distributed >

## Detailed Description

Definition at line 559 of file domain_indirect.h.

Inheritance diagram for domain_indirect_basic< distributed >:

## Public Types

typedef domain_indirect_rep< distributed > | rep
typedef smart_pointer< rep > | base
typedef rep::size_type | size_type
typedef rep::iterator_ioige | iterator_ioige
typedef rep::const_iterator_ioige | const_iterator_ioige
Public Types inherited from smart_pointer< domain_indirect_rep< distributed > >
typedef domain_indirect_rep< distributed > | handled_type
typedef base::internal | internal

## Public Member Functions

| domain_indirect_basic ()
template<class T >
| domain_indirect_basic (const geo_basic< T, distributed > &omega, const std::string &name, size_type map_dim, const communicator &comm, const std::vector< size_type > &ie_list)
template<class T >
| domain_indirect_basic (const geo_abstract_rep< T, distributed > &omega, const std::string &name, size_type map_dim, const communicator &comm, const std::vector< size_type > &ie_list)
size_type | size () const
size_type | dis_size () const
const distributor & | ownership () const
const geo_element_indirect & | oige (size_type ioige) const
void | set_name (std::string name)
void | set_map_dimension (size_type map_dim)
std::string | name () const
size_type | map_dimension () const
bool | is_broken () const
void | set_broken (bool b)
const_iterator_ioige | ioige_begin () const
const_iterator_ioige | ioige_end () const
iterator_ioige | ioige_begin ()
iterator_ioige | ioige_end ()
const distributor & | ini_ownership () const
size_type | ioige2ini_dis_ioige (size_type ioige) const
size_type | ini_ioige2dis_ioige (size_type ini_ioige) const
template<class T >
idiststream & | get (idiststream &ips, const geo_rep< T, distributed > &omega)
template<class T >
odiststream & | put (odiststream &ops, const geo_rep< T, distributed > &omega) const
Public Member Functions inherited from smart_pointer< domain_indirect_rep< distributed > >
| smart_pointer (domain_indirect_rep< distributed > *p=0)
| smart_pointer (void *count, internal i)
| smart_pointer (const smart_pointer< domain_indirect_rep< distributed > > &x)
smart_pointer< domain_indirect_rep< distributed > > & | operator= (const smart_pointer< domain_indirect_rep< distributed > > &x)
| ~smart_pointer ()
Public Member Functions inherited from smart_pointer_base< T, C >
| smart_pointer_base (T *p=0)
| smart_pointer_base (const smart_pointer_base< T, C > &)
| smart_pointer_base (void *count, internal)
smart_pointer_base< T, C > & | operator= (const smart_pointer_base< T, C > &)
| ~smart_pointer_base ()
const T * | pointer () const
const T & | data () const
const T * | operator-> () const
const T & | operator* () const
T * | pointer ()
T & | data ()
T * | operator-> ()
T & | operator* ()
int | reference_counter () const
counter * | get_count () const

## Member Typedef Documentation

## rep

typedef domain_indirect_rep<distributed> rep

Definition at line 564 of file domain_indirect.h.

## base

typedef smart_pointer<rep> base

Definition at line 565 of file domain_indirect.h.

## size_type

typedef rep::size_type size_type

Definition at line 566 of file domain_indirect.h.

## iterator_ioige

typedef rep::iterator_ioige iterator_ioige

Definition at line 567 of file domain_indirect.h.

## const_iterator_ioige

typedef rep::const_iterator_ioige const_iterator_ioige

Definition at line 568 of file domain_indirect.h.

## Constructor & Destructor Documentation

## domain_indirect_basic() [1/3]

domain_indirect_basic | ( |  | ) |

Definition at line 625 of file domain_indirect.h.

## domain_indirect_basic() [2/3]

template<class T >

domain_indirect_basic | ( | const geo_basic< T, distributed > & | omega,
|  | const std::string & | name,
|  | size_type | map_dim,
|  | const communicator & | comm,
|  | const std::vector< size_type > & | ie_list
| ) |  |

Definition at line 631 of file domain_indirect.h.

## domain_indirect_basic() [3/3]

template<class T >

domain_indirect_basic | ( | const geo_abstract_rep< T, distributed > & | omega,
|  | const std::string & | name,
|  | size_type | map_dim,
|  | const communicator & | comm,
|  | const std::vector< size_type > & | ie_list
| ) |  |

Definition at line 642 of file domain_indirect.h.

## Member Function Documentation

## size()

domain_indirect_basic< distributed >::size_type size | ( |  | ) | const

Definition at line 653 of file domain_indirect.h.

## dis_size()

domain_indirect_basic< distributed >::size_type dis_size | ( |  | ) | const

Definition at line 659 of file domain_indirect.h.

## ownership()

const distributor & ownership | ( |  | ) | const

Definition at line 665 of file domain_indirect.h.

## oige()

const geo_element_indirect & oige | ( | size_type | ioige | ) | const

Definition at line 725 of file domain_indirect.h.

## set_name()

void set_name | ( | std::string | name | ) |

Definition at line 701 of file domain_indirect.h.

## set_map_dimension()

void set_map_dimension | ( | size_type | map_dim | ) |

Definition at line 707 of file domain_indirect.h.

## name()

std::string name | ( |  | ) | const

Definition at line 689 of file domain_indirect.h.

## map_dimension()

domain_indirect_basic< distributed >::size_type map_dimension | ( |  | ) | const

Definition at line 695 of file domain_indirect.h.

## is_broken()

bool is_broken | ( |  | ) | const

Definition at line 713 of file domain_indirect.h.

## set_broken()

void set_broken | ( | bool | b | ) |

Definition at line 719 of file domain_indirect.h.

## ioige_begin() [1/2]

domain_indirect_basic< distributed >::const_iterator_ioige ioige_begin | ( |  | ) | const

Definition at line 731 of file domain_indirect.h.

## ioige_end() [1/2]

domain_indirect_basic< distributed >::const_iterator_ioige ioige_end | ( |  | ) | const

Definition at line 737 of file domain_indirect.h.

## ioige_begin() [2/2]

domain_indirect_basic< distributed >::iterator_ioige ioige_begin | ( |  | ) |

Definition at line 743 of file domain_indirect.h.

## ioige_end() [2/2]

domain_indirect_basic< distributed >::iterator_ioige ioige_end | ( |  | ) |

Definition at line 749 of file domain_indirect.h.

## ini_ownership()

const distributor & ini_ownership | ( |  | ) | const

Definition at line 755 of file domain_indirect.h.

## ioige2ini_dis_ioige()

domain_indirect_basic< distributed >::size_type ioige2ini_dis_ioige | ( | size_type | ioige | ) | const

Definition at line 761 of file domain_indirect.h.

## ini_ioige2dis_ioige()

domain_indirect_basic< distributed >::size_type ini_ioige2dis_ioige | ( | size_type | ini_ioige | ) | const

Definition at line 767 of file domain_indirect.h.

## get()

template<class T >

idiststream & get | ( | idiststream & | ips,
|  | const geo_rep< T, distributed > & | omega
| ) |  |

Definition at line 672 of file domain_indirect.h.

## put()

template<class T >

odiststream & put | ( | odiststream & | ops,
|  | const geo_rep< T, distributed > & | omega
| ) |  | const

Definition at line 681 of file domain_indirect.h.

The documentation for this class was generated from the following file:

- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/domain_indirect.h